# $Revision: 1.13 $, $Date: 2002/11/17 23:57:12 $
Summary:	H.323 basic gatekeeper
Summary(pl):	Podstawowy gatekeeper H.323
Name:		opengk
Version:	1.3.2
Release:	1
License:	MPL
Group:		Networking/Daemons
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.gz
Patch0:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.10.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%requires_eq	openh323

%description
This is a very basic H.323 Gatekeeper.

Basic features OpenGatekeeper supports all the basic features of an
H.323 Gatekeeper such as registration, admissions and access control,
address translation and bandwidth monitoring and control.

Advanced features:
- Gatekeeper routed calls
- Support of H.323v2 alias types (party number, URL, transport id and
  email address)
- Support for gateway prefixes
- Registration and call activity logs
- Neighbour gatekeeper database
- Registration time to live

%description -l pl
To jest podstawowy Gatekeeper H.323.

OpenGatekeeper obsuguje podstwowe moliwoci Gatekeepera H.323, takie
jak rejestracja, przyjmowanie, kontrola dostpu, tumaczenie adresw,
monitorowanie i kontrola pasma.

Zaawansowane moliwoci:
- routowane poczenia
- wsparcie dla typw aliasw H.323v2 (numer, URL, transport id, adres
  e-mail)
- obsuga przedrostkw bramek
- logowanie rejestracji i pocze
- baza danych ssiednich gatekeeperw
- czas obowizywania rejestracji.

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR

%{__make} optshared OPTCCFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: opengk.spec,v $
Revision 1.13  2002/11/17 23:57:12  marcus
- updated to 1.3.2

Revision 1.12  2002/10/28 11:05:56  marcus
- cosmetics

Revision 1.11  2002/10/28 11:01:56  marcus
- uptated to 1.3.0

Revision 1.10  2002/08/06 07:40:12  kloczek
- updated to 1.2.3.

Revision 1.9  2002/07/09 16:56:15  marcus
- updated to 1.2.2

Revision 1.8  2002/04/11 16:51:25  mmazur
- killed the gcc3.1 things

Revision 1.7  2002/04/05 21:12:35  mmazur
- merged with DEVEL; STBR

Revision 1.6.2.1  2002/03/29 12:58:16  mmazur
-updated to 1.1.1; rel1; STBR for test

Revision 1.6  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/09 00:37:26  misiek
- updated to 1.0.3

Revision 1.3  2001/12/06 13:47:24  qboosh
- pl translations

Revision 1.2  2001/09/15 21:29:20  kloczek
- rewrited but still NYF.

Based on MDK spec file.
